// dllmain.cpp : Defines the entry point for the DLL application.
#include "stdafx.h"
#include "TakePictureSDK.h"
#include "PictureTaker.h"



PictureTaker* pictureTaker = NULL;

BOOL APIENTRY DllMain( HMODULE hModule,
                       DWORD  ul_reason_for_call,
                       LPVOID lpReserved
					 )
{
	switch (ul_reason_for_call)
	{
	case DLL_PROCESS_ATTACH:
		// disables the DLL_THREAD_ATTACH and DLL_THREAD_DETACH 
		DisableThreadLibraryCalls( (HINSTANCE)hModule );
		pictureTaker = new PictureTaker();
		break;

		case DLL_PROCESS_DETACH:
			if(pictureTaker != NULL)
				delete pictureTaker;
			pictureTaker = NULL;
		break;
	}
	return TRUE;
}


TAKEPICTURESDK_API int TakePicture(InitStruct is)
{
	int ret = pictureTaker->TakePicture(is);
	return ret;
}

TAKEPICTURESDK_API void Exit()
{
	pictureTaker->Exit();
}

