

// use this to make this file also work with normal c-compilers



#ifndef __TAKE_PICTURE_SDK_H__
#define __TAKE_PICTURE_SDK_H__


#ifdef __cplusplus
extern "C"
{
#endif

#ifdef TAKEPICTURESDK_EXPORTS
#define TAKEPICTURESDK_API __declspec(dllexport)
#define TAKEPICTURE_API_CALLBACK __declspec(dllimport) //might use it later on
#else
#pragma comment( lib, ".\\TakePictureSDK.lib")
#define TAKEPICTURESDK_API __declspec(dllimport)
#define TAKEPICTURE_API_CALLBACK __declspec(dllexport)
#endif

#define BUFSIZE 512

typedef void (__stdcall *pOnImageProgress)( bool,char* );
typedef void (__stdcall *pSetPosition)( int );


// A library for taking pictures for OPI series

struct InitStruct{
	
		int port;
		int startx;
		int starty;
		int endx;
		int endy;
		int quality;
		TCHAR fileName[BUFSIZE];
		pSetPosition statusTracker;
		pOnImageProgress updateProgress;

	};



TAKEPICTURESDK_API int TakePicture(InitStruct is); //PictureTaker.h contains the InitStruct

TAKEPICTURESDK_API void Exit();


#ifdef __cplusplus
}
#endif	// ifdef __cplusplus 


#endif // __TAKE_PICTURE_SDK_H__
